package com.liquidnet.service.kylin.dto.vo.mongo;

import com.liquidnet.service.kylin.dto.vo.middle.KylinBuyNoticeVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class KylinCheckUserVo implements Serializable ,Cloneable{

    @ApiModelProperty(value = "id")
    private String checkUserId;

    @ApiModelProperty(value = "父类id")
    private String merchantId;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "密码")
    private String pwd;

    @ApiModelProperty(value = "状态")
    private String status;

    private static final KylinCheckUserVo obj = new KylinCheckUserVo();
    public static KylinCheckUserVo getNew() {
        try {
            return (KylinCheckUserVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinCheckUserVo();
        }
    }
}
